%define libcryptmount %mklibname cryptmount 0
%define cryptmountdevel %mklibname cryptmount -d
Name:		pam_mount
Version:	2.13
Release:	3
Summary:	Pluggable Authentication Module for dynamic mounting of remote volumes
# Localized summaries should go to specspo
#Summary(pt_BR):	Módulo de autenticação PAM para montagem dinâmica de volumes remotes
#Summary(es):	MÃ³dulo de autenticaciÃ³n PAM para montar de forma dinÃ¡mica mvolÃºmenes remotos
License:	GPLv2+ and LGPLv2+
Group:		Networking/Other
URL:		http://pam-mount.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz
Source1:	http://prdownloads.sourceforge.net/pam-mount/%{name}-%{version}.tar.xz.asc
Requires:	opensc
BuildRequires:	pam-devel
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(libHX) >= 3.12
BuildRequires:	libxml2-devel >= 2.6
BuildRequires:	libmount-devel >= 2.20
BuildRequires:	openssl-devel
BuildRequires:	cryptsetup-devel >= 1.1.2
Obsoletes:	pam_mount-devel

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is mainly useful for users that have private volumes in Samba /
Windows NT / Netware servers and need access to them during a Unix
session.

%description -l pt_BR
O pam_mount é um módulo PAM que permite montagem dinâmica de volumes
remotos. Ele é particularmente útil para usuários que detém volumes
privados em servidores Samba / Windows NT / Netware e precisam ter
acesso a eles durante uma sessão Unix.

%description -l fr_FR
pam_mount est un module qui permet de monter dynamiquement un
volume au login. Il est utilisé afin de permettre aux utilisateurs de
monter leur répertoires privés sur des serveurs Samba/NT/Netware au
cours d'une session Unix.

%package -n %libcryptmount
Summary:	Library for mounting crypto images and handle key files
License:	LGPL

%description -n %libcryptmount
Library for mounting crypto images and handle key files.

%package -n %cryptmountdevel
Summary:	Development files for %libcryptmount
License:	LGPL
Requires:	%libcryptmount = %{EVRD}
Provides:	libcryptmount-devel = %{EVRD}

%description -n %cryptmountdevel
Development files for %libcryptmount - library for mounting crypto images
and handle key files.

%prep
%setup -q

%build
%configure2_5x
%make moduledir=%{_libdir}/security

%install
%makeinstall_std moduledir=%{_libdir}/security
install -m0600 config/pam_mount.conf.xml -D %{buildroot}%{_sysconfdir}/security/pam_mount.conf.xml

%files 
%defattr(-,root,root)
%doc doc/bugs.txt doc/changelog.txt doc/faq.txt doc/todo.txt doc/pam_mount.txt
%{_libdir}/security/pam_mount*.so
%{_sbindir}/pmt-ehd
%{_sbindir}/pmvarrun
/sbin/mount.crypt
/sbin/mount.crypto_LUKS
/sbin/mount.crypt_LUKS
#/sbin/mount.encfs13
/sbin/umount.crypt
/sbin/umount.crypt_LUKS
/sbin/umount.crypto_LUKS
%config(noreplace) %{_sysconfdir}/security/%{name}.conf.xml
%{_mandir}/man8/pam_mount.8*
%{_mandir}/man8/pmt-ehd.8*
%{_mandir}/man8/pmvarrun.8*
%{_mandir}/man8/mount.crypt.8*
%{_mandir}/man8/mount.crypt_LUKS.8*
%{_mandir}/man8/mount.crypto_LUKS.8*
%{_mandir}/man8/umount.crypt.8*
%{_mandir}/man8/umount.crypt_LUKS.8*
%{_mandir}/man8/umount.crypto_LUKS.8*
%{_mandir}/man5/pam_mount.conf.5*

%files  -n %libcryptmount
%{_libdir}/libcryptmount.so.*

%files  -n %cryptmountdevel
%{_libdir}/libcryptmount.so
%{_libdir}/pkgconfig/libcryptmount.pc
%{_includedir}/libcryptmount.h



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.13-3
+ Revision: 3238a9d
- MassBuild#440: Increase release tag


